<div class="container">
  <h3 class="brand-name" [routerLink]="['/']">Latam</h3>

  <button *ngIf="isToggleMode" id="menu-nav-item" class="nav-menu-list" (click)="onNavMenuClick()">
    <img id="nav-menu-img" class="nav-menu-img" src="assets\list.png">
  </button>
  <nav-menu-slave [ngStyle]="{'visibility': navMenuSlaveVisible ? 'visible': 'collapse'}" [categories]="categories" (onSelectEmitter)=onMenuSlaveSelected($event)></nav-menu-slave>

  <div
    class="navigation-container"
  >
    <ul class="left-list" *ngIf="!isToggleMode">
      <li class="nav-item">
        <a id="about-nav-item" class="nav-link text-dark" (click)="onAboutClick()">{{ "About" | localize }}</a>
        <about-slave [ngStyle]="{'visibility': aboutSlaveVisible ? 'visible': 'collapse'}" (onSelectEmitter)=onAboutSlaveSelected($event)></about-slave>
      </li>

      <li class="nav-item">
        <a id="shop-nav-item" class="nav-link text-dark" (click)="onShopClick()">{{ "Shop" | localize }}</a>
        <shop-slave [ngStyle]="{'visibility': shopSlaveVisible ? 'visible': 'collapse'}" [categories]="categories" (onSelectEmitter)=onShopSlaveSelected($event)></shop-slave>
      </li>

      <li *ngIf="isAdmin()" class="nav-item" [routerLinkActive]="['link-active']">
        <a class="nav-link text-dark" [routerLink]="['/orders']">{{ "Orders" | localize }}</a>
      </li>

      <li *ngIf="isAdmin()" class="nav-item">
        <a id="edit-nav-item" class="nav-link text-dark" (click)="onEditClick()">{{ "Edit" | localize }}</a>
        <edit-slave [ngStyle]="{'visibility': editSlaveVisible ? 'visible': 'collapse'}" (onSelectEmitter)=onEditSlaveSelected($event)></edit-slave>
      </li>
    </ul>
  
    <ul class="rigth-list">
      <li class="search-item">
        <search></search>
      </li>
      
      <li class="change-language">
        <input
            (change)="onChangeLanguage()"
            [checked]="_isUk"
            type="checkbox"
            class="change-language-checkbox"
        />
      </li>

      <li *ngIf="!isToggleMode" class="cart-item" [routerLinkActive]="['link-active']">
        <img class="cart-img" src="assets/shopping-cart.png" [routerLink]="['/cart']">
        <label [hidden]="cartCount == 0">{{cartCount}}</label>
      </li>

      <li *ngIf="getUserName() && !isToggleMode" class="current-user">
        <div id="user-container">
          <label class="user-label">{{getUserName()}}</label>
          <button class="logout-btn" (click)="onLogoutClick()" ><img class="logout-image" src="assets\logout.png"></button>
        </div>
      </li>

      <li [hidden]="isLoggedIn() || isToggleMode" class="user-item" [routerLinkActive]="['link-active']">
        <img class="user-img" src="assets/user.png" [routerLink]="['/login']">
      </li>
    </ul>
  </div>
</div>